.\" Copyright (c) 2014 Vincent Bernat <bernat@debian.org>
.\"
.\" This file is licensed as Apache-2.0.
.\"
.Dd January 25, 2014
.Dt ngrokd 8
.Os
.Sh NAME
.Nm nrgokd
.Nd secure introspectable tunnels to localhost
.Sh SYNOPSIS
.Nm
.Op options
.Sh DESCRIPTION
.Nm ngrok
creates a tunnel from the public internet to a port on your
local machine. You can give this URL to anyone to allow them to try
out a web site you're developing without doing any deployment.
.Pp
It captures all traffic through the tunnel. It displays information
about the HTTP traffic for your inspection. Raw request/response
bytes, parsed headers and form data, JSON/XML syntax checking and more
are included. It can also replay requests.
.Pp
.Nm
is the server part that can be used instead of the public
.Li ngrok.com
server.
.Pp
To get available options, use
.Cm ngrokd -h .
The most important one is
.Fl domain
which takes the domain where the tunnels are hosted.
.Sh SEE ALSO
.Xr ngrok 8
.Sh AUTHORS
.An -nosplit
The
.Nm
program was written by
.An Alan Shreve .
